package com.siwei.rsmonitoring.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.siwei.rsmonitoring.mapper.TDkYwypHgxMapper;
import com.siwei.rsmonitoring.domain.TDkYwypHgx;
import com.siwei.rsmonitoring.service.ITDkYwypHgxService;

/**
 * 业务研判和耕地与永久基本农田映射Service业务层处理
 * 
 * @author siwei
 * @date 2025-03-17
 */
@Service
public class TDkYwypHgxServiceImpl implements ITDkYwypHgxService 
{
    @Autowired
    private TDkYwypHgxMapper tDkYwypHgxMapper;

    /**
     * 查询业务研判和耕地与永久基本农田映射
     * 
     * @param dkType 业务研判和耕地与永久基本农田映射主键
     * @return 业务研判和耕地与永久基本农田映射
     */
    @Override
    public TDkYwypHgx selectTDkYwypHgxByDkType(String dkType)
    {
        return tDkYwypHgxMapper.selectTDkYwypHgxByDkType(dkType);
    }

    /**
     * 查询业务研判和耕地与永久基本农田映射列表
     * 
     * @param tDkYwypHgx 业务研判和耕地与永久基本农田映射
     * @return 业务研判和耕地与永久基本农田映射
     */
    @Override
    public List<TDkYwypHgx> selectTDkYwypHgxList(TDkYwypHgx tDkYwypHgx)
    {
        return tDkYwypHgxMapper.selectTDkYwypHgxList(tDkYwypHgx);
    }

    /**
     * 新增业务研判和耕地与永久基本农田映射
     * 
     * @param tDkYwypHgx 业务研判和耕地与永久基本农田映射
     * @return 结果
     */
    @Override
    public int insertTDkYwypHgx(TDkYwypHgx tDkYwypHgx)
    {
        return tDkYwypHgxMapper.insertTDkYwypHgx(tDkYwypHgx);
    }

    /**
     * 修改业务研判和耕地与永久基本农田映射
     * 
     * @param tDkYwypHgx 业务研判和耕地与永久基本农田映射
     * @return 结果
     */
    @Override
    public int updateTDkYwypHgx(TDkYwypHgx tDkYwypHgx)
    {
        return tDkYwypHgxMapper.updateTDkYwypHgx(tDkYwypHgx);
    }

    /**
     * 批量删除业务研判和耕地与永久基本农田映射
     * 
     * @param dkTypes 需要删除的业务研判和耕地与永久基本农田映射主键
     * @return 结果
     */
    @Override
    public int deleteTDkYwypHgxByDkTypes(String[] dkTypes)
    {
        return tDkYwypHgxMapper.deleteTDkYwypHgxByDkTypes(dkTypes);
    }

    /**
     * 删除业务研判和耕地与永久基本农田映射信息
     * 
     * @param dkType 业务研判和耕地与永久基本农田映射主键
     * @return 结果
     */
    @Override
    public int deleteTDkYwypHgxByDkType(String dkType)
    {
        return tDkYwypHgxMapper.deleteTDkYwypHgxByDkType(dkType);
    }
}
